Difference between revisions of "Install Zenoss"

From Zenoss Wiki
Jump to: navigation, search
(Corrected Link Description)
(Added useful for community links)
 
(145 intermediate revisions by 25 users not shown)
Line 1: Line 1:
== Zenoss Core 4.2.4 ==
+
== Download and Install Zenoss ==
'''Zenoss Core 4.2.4, our latest stable version, is now available!''' Installation instructions and download links can be found below.
+
To download Zenoss, visit [https://www.zenoss.com/get-started https://www.zenoss.com/get-started].
  
For some comments on upgrading from Zenoss 4.2.3 to 4.2.4 try the document here [http://wiki.zenoss.org/4.2.4_Upgrade Upgrade tips from Jane Curry].  Note particularly that removing all non-Zenoss ZenPacks may be more destructive than upgrading with them - see the notes.
 
  
== Supported Operating Systems ==
+
== Unofficial Zenoss ansible installation ==
'''Zenoss Core 4.2.4 runs natively on the following Linux-based operating systems:'''
+
Available at [https://github.com/sergevs/ansible-serviced-zenoss | Zenoss deployment tool]
 
+
* [[Image:Red-hat.png]] Red Hat Enterprise Linux 64-bit 6.x (recommended) or 5.x
+
 
+
* [[Image:centos logo.png|100px]] [http://www.centos.org CentOS] 64-bit 6.x (recommended) or 5.x
+
 
+
== Community Supported Operating Systems ==
+
* [[Image:Ubuntu-logo.gif]] [http://www.ubuntulinux.org Ubuntu Linux] 12.04 12.10 13.04 13.10
+
* [[Image:Debian-logo.gif]] [http://www.debian.org Debian Linux] Debian 7
+
 
+
=== HOWTO, Filing Bugs ===
+
Unofficial support for Debian and Ubuntu can be found on [[User:hydruid | Hydruid]]'s [http://hydruid-blog.com/ blog.]
+
For help please ask in #zenoss on irc.freenode.net, or in the forums.  These scripts are not supported by Zenoss.  To report bugs, or submit fixes please submit them on the [https://github.com/hydruid/zenoss/issues?state=open Github project].
+
*[http://hydruid-blog.com/?p=343 Ubuntu Instructions ]
+
*[http://hydruid-blog.com/?p=485 Debian Instructions ]
+
 
+
== Manual Installation ==
+
The traditional way to install Zenoss is to follow our {{doc|for=Zenoss Core 4.2.x | title=Zenoss Core 4 Installation Guide}}. The Installation Guide will guide you through the process of installing Zenoss Core 4.2 on a 64-bit version of Red Hat Enterprise Linux 5.x or 6.x, using RPMs that you download from SourceForge:
+
 
+
'''Download RPMs for Installation, from SourceForge:'''
+
 
+
* RHEL/CentOS 6 64-bit: [http://downloads.sourceforge.net/project/zenoss/zenoss-4.2/zenoss-4.2.4/zenoss_core-4.2.4.el6.x86_64.rpm Zenoss Core RPM] (includes Core ZenPacks)
+
 
+
* RHEL/CentOS 5 64-bit: [http://downloads.sourceforge.net/project/zenoss/zenoss-4.2/zenoss-4.2.4/zenoss_core-4.2.4.el5.x86_64.rpm Zenoss Core RPM] (includes Core ZenPacks)
+
 
+
Please see the {{doc|for=Zenoss Core 4.2.x|title=Zenoss Core 4 Release Notes}} for relevant information related to manual installation.
+
 
+
== auto-
+
deploy Installation ==
+
{{note}} Updated for 4.2.4<br />
+
'''The simplest way to install Zenoss Core 4.2 on a newly-deployed RHEL/CentOS 64-bit 5/6 system is to use our auto-deploy script, which downloads all required files for you.''' To use the script, first set up a new server running one of our [[#Supported Operating Systems|supported operating systems]]. Then, as <tt>root</tt>, run the following commands:
+
 
+
<console>
+
# ##i##wget --no-check-certificate https://github.com/zenoss/core-autodeploy/tarball/4.2.4 -O auto.tar.gz
+
# ##i##tar xvf auto.tar.gz
+
# ##i##cd zenoss-core-autodeploy-*
+
</console>
+
 
+
Now, you have the option of editing <tt>zenpack_actions.txt</tt>, which defines all ZenPacks that will be installed by default (all Core ZenPacks). If you would like to avoid installing certain ZenPacks, then remove the corresponding lines from this file and save it.
+
 
+
Now you are ready to install Zenoss Core 4.2.4:
+
 
+
<console>
+
# ##i##./core-autodeploy.sh #do not use ''tee'' or similar, /opt/zenoss/log/install.log will be created by the script.
+
</console>
+
 
+
{{note}} In some cases your ZenPacks will fail to load after the initial install. If so, see [[AutoDeploy - ZenPack Operation Errors]]
+
 
+
As part of the install process, your Zenoss installation will be secured, and you will be asked if you would like to set a secure root password for MySQL. It is strongly recommended that you do so.
+
 
+
The auto-deploy script will automatically download and install all required dependencies, as well as Zenoss Core 4.2. After the script completes successfully, use your favorite Web browser and head to port 8080 of your new server (for example, <tt>http://127.0.0.1:8080</tt>), and then set the Zenoss administrator password and create your initial user account using the Web interface.
+
 
+
Next, you'll want to [[Add a Device]] to Zenoss.
+
 
+
If you encounter issues with the auto-deploy script, please report them on the [[{{TALKPAGENAME}}|Discussion]] page.
+
 
+
==Fix for upgrade to 4.2.4==
+
If you used the 4.2.3 community script to install, it uses a security script to ensure passwords are changed from the default values.  This can cause a problem when upgrading as you may find that the  4.2.4 RPM copies over the secure passwords set by the security script in some files.  To fix this, simply copy the secure password to global.conf, and elsewhere as needed. 
+
 
+
A list of the files/variables where this password is used is provided below:
+
global.conf:zodb-password
+
global.conf:amqppassword
+
global.conf:zep-password
+
global.conf:hubpassword
+
zenjmx.conf:#  zenoss., default:
+
zenjmx.conf:#hubpassword
+
zenwinperf.conf:#  zenoss., default:
+
zenwinperf.conf:#hubpassword
+
zodb_db_main.conf:    passwd
+
zodb_db_session.conf:    passwd
+
 
+
==Fix for Sticking JDBC Connections in 4.2 SP1==
+
Getting these error messages?
+
 
+
''org.springframework.transaction.TransactionSystemException: Could not roll back JDBC transaction; nested exception is com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: No operations allowed after connection closed.Connection was implicitly closed by the driver.''
+
 
+
Run the following as the zenoss user, or upgrade to 4.2.4:
+
<console>
+
$ ##i##zeneventserver-config -u zep.jdbc.pool.test_on_borrow=true
+
$ ##i##zeneventserver restart
+
</console>
+
 
+
== Zenoss Virtual Machine ==
+
'''Alternatively, a pre-built Zenoss virtual machine image can be used to evaluate Zenoss:'''
+
 
+
* [[Image:VMwareWorkstationLogo.png|32px]] [http://sourceforge.net/projects/zenoss/files/zenoss-4.2/zenoss-4.2.4/zenoss_core-4.2.4-x86_64.vmware.zip/download VMWare virtual machine image]
+
** VMWare Workstation for Microsoft Windows or Linux
+
** [http://www.vmware.com/products/player/ VMWare Player] for Microsoft Windows or Linux (free)
+
** VMWare Fusion for Macintosh
+
 
+
== Source Code ==
+
Zenoss Core 4.2.4 source code is browseable at http://dev.zenoss.org/trac/browser/tags/zenoss-4.2.4.
+
 
+
Sources can be checked out with the following command:
+
 
+
<console>
+
$ ##i##svn co http://dev.zenoss.org/svn/tags/zenoss-4.2.4
+
</console>
+
 
+
== Core 4 Videos ==
+
<table border="0">
+
<tr><td>{{#widget:YouTube|id=eaNO7J_DUKQ|width=400}}</td>
+
<td>{{#widget:YouTube|id=h7TybUDtpDk|width=400}}</td></tr>
+
</table>
+
 
+
== Legacy Zenoss ==
+
Looking for an earlier version of Zenoss? See our [[Legacy Zenoss]] page.
+
 
+
[[Category:User Guide]]
+
 
+
__NOTITLE__
+
__NOTOC__
+

Latest revision as of 18:42, 20 November 2019

Download and Install Zenoss

To download Zenoss, visit https://www.zenoss.com/get-started.


Unofficial Zenoss ansible installation

Available at | Zenoss deployment tool